%define	tversion	3.3

Summary:	An X Window System based IBM 3278/3279 terminal emulator
Name:		x3270
Version:	3.3.9ga12
Release:	%mkrel 1
License:	MIT
Group:		Terminals
URL:		http://www.geocities.com/SiliconValley/Peaks/7814/
Source0:	http://downloads.sourceforge.net/project/x3270/x3270/%version/suite3270-%version.tgz
Requires(post):		mkfontdir
Requires(postun):	mkfontdir
BuildRequires:	bdftopcf
BuildRequires:	dos2unix
BuildRequires:	imake
BuildRequires:	openssl-devel 
BuildRequires:	libx11-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	x3270 < %{version}-%{release}
Obsoletes:	x3270-text < %{version}-%{release}
Obsoletes:	x3270-x11 < %{version}-%{release}

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep
%setup -q -n %{name}-%{tversion}

%build
%configure2_5x	--enable-ssl \
		--with-fontdir=%{_datadir}/fonts/misc

%make PROJECTROOT=%{_prefix}

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X3270
Comment=IBM 3270 Terminal Emulator
Exec=%{_bindir}/x3270
Icon=terminals_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;X-MandrivaLinux-System-Terminals
EOF

sed -i 's|X11R6/bin|bin|' Makefile
sed -i 's|/usr/X11R6/man|%{_mandir}|' Makefile

%makeinstall_std install.man PROJECTROOT=%{_prefix} MANPATH=%{_mandir}

install -m644 X3270.xad -D %{buildroot}%{_sysconfdir}/X11/app-defaults/X3270

rm -f %buildroot%{_datadir}/fonts/misc/fonts.dir

chmod 0644 Examples/*.{expect,ksh}
chmod 0755 Examples/*.{sh,bash}

chmod 0644 html/*.html
dos2unix -U -f html/Brackets.html
dos2unix -U -f html/Build.html
dos2unix -U -f html/Keymap.html
sed -i 's|usr/local|usr|g' Examples/peer_script.expect
sed -i 's|usr/local|usr|g' Examples/cms_logon.bash
chmod -x %buildroot%{_sysconfdir}/%{name}/*

rm -fr %buildroot%{_prefix}/X11R6/lib/X11/doc

%clean
rm -rf %{buildroot}

%post
mkfontdir %{_datadir}/fonts/misc
%update_menus

%postun
mkfontdir %{_datadir}/fonts/misc
%clean_menus

%files
%defattr(-,root,root)
%doc Examples html
%{_bindir}/*
%{_datadir}/fonts/misc/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*


%changelog
* Wed Jan 06 2010 pcserver <pcserver at hush.com> 3.3.9ga12-1pclos2010
- 2.2.9ga12

